Index: src/sas/qtgui/Plotting/Slicers/AnnulusSlicer.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/AnnulusSlicer.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/AnnulusSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -145,6 +145,5 @@
         new_plot.xtransform = "x"
         new_plot.ytransform = "y"
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
         self.base.manager.communicator.plotUpdateSignal.emit([new_plot])
 
Index: src/sas/qtgui/Plotting/Slicers/Arc.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/Arc.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/Arc.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -70,7 +70,7 @@
         x = []
         y = []
-        if theta1 != None:
+        if theta1 is not None:
             self.theta1 = theta1
-        if theta2 != None:
+        if theta2 is not None:
             self.theta2 = theta2
         while self.theta2 < self.theta1:
@@ -80,5 +80,5 @@
         npts = int((self.theta2 - self.theta1) / (math.pi / 120))
 
-        if r == None:
+        if r is None:
             self.radius = math.sqrt(math.pow(self._mouse_x, 2) + \
                                      math.pow(self._mouse_y, 2))
Index: src/sas/qtgui/Plotting/Slicers/BoxSlicer.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/BoxSlicer.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/BoxSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -190,6 +190,5 @@
         new_plot.id = (self.averager.__name__) + self.base.data.name
         new_plot.is_data = True
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
 
         if self.update_model:
Index: src/sas/qtgui/Plotting/Slicers/BoxSum.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/BoxSum.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/BoxSum.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -110,12 +110,8 @@
         parameters = self.getParams()
         # Crete/overwrite model items
-        self._model.setData(self._model.index(0, 0),
-                    QtCore.QVariant(formatNumber(parameters['Height'])))
-        self._model.setData(self._model.index(0, 1),
-                    QtCore.QVariant(formatNumber(parameters['Width'])))
-        self._model.setData(self._model.index(0, 2),
-                    QtCore.QVariant(formatNumber(parameters['center_x'])))
-        self._model.setData(self._model.index(0, 3),
-                    QtCore.QVariant(formatNumber(parameters['center_y'])))
+        self._model.setData(self._model.index(0, 0), formatNumber(parameters['Height']))
+        self._model.setData(self._model.index(0, 1), formatNumber(parameters['Width']))
+        self._model.setData(self._model.index(0, 2), formatNumber(parameters['center_x']))
+        self._model.setData(self._model.index(0, 3), formatNumber(parameters['center_y']))
 
         self.setReadOnlyParametersFromModel()
@@ -130,14 +126,9 @@
         """
         parameters = self.getParams()
-        self._model.setData(self._model.index(0, 4),
-                    QtCore.QVariant(formatNumber(parameters['avg'])))
-        self._model.setData(self._model.index(0, 5),
-                    QtCore.QVariant(formatNumber(parameters['avg_error'])))
-        self._model.setData(self._model.index(0, 6),
-                    QtCore.QVariant(formatNumber(parameters['sum'])))
-        self._model.setData(self._model.index(0, 7),
-                    QtCore.QVariant(formatNumber(parameters['sum_error'])))
-        self._model.setData(self._model.index(0, 8),
-                    QtCore.QVariant(formatNumber(parameters['num_points'])))
+        self._model.setData(self._model.index(0, 4), formatNumber(parameters['avg']))
+        self._model.setData(self._model.index(0, 5), formatNumber(parameters['avg_error']))
+        self._model.setData(self._model.index(0, 6), formatNumber(parameters['sum']))
+        self._model.setData(self._model.index(0, 7), formatNumber(parameters['sum_error']))
+        self._model.setData(self._model.index(0, 8), formatNumber(parameters['num_points']))
 
     def setParamsFromModel(self):
@@ -362,7 +353,7 @@
         Draw the new roughness on the graph.
         """
-        if center_x != None:
+        if center_x is not None:
             self.x = center_x
-        if center_y != None:
+        if center_y is not None:
             self.y = center_y
         self.center_marker.set(xdata=[self.x], ydata=[self.y])
Index: src/sas/qtgui/Plotting/Slicers/SectorSlicer.py
===================================================================
--- src/sas/qtgui/Plotting/Slicers/SectorSlicer.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Plotting/Slicers/SectorSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
@@ -125,5 +125,5 @@
         data = self.base.data
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         # Averaging
@@ -132,5 +132,5 @@
         phimin = -self.left_line.phi + self.main_line.theta
         phimax = self.left_line.phi + self.main_line.theta
-        if nbins == None:
+        if nbins is None:
             nbins = 20
         sect = SectorQ(r_min=0.0, r_max=radius,
@@ -168,6 +168,5 @@
         new_plot.id = "SectorQ" + self.base.data.name
         new_plot.is_data = True
-        variant_plot = QtCore.QVariant(new_plot)
-        GuiUtils.updateModelItemWithPlot(self._item, variant_plot, new_plot.id)
+        GuiUtils.updateModelItemWithPlot(self._item, new_plot, new_plot.id)
         self.base.manager.communicator.plotUpdateSignal.emit([new_plot])
 
@@ -349,7 +348,7 @@
         self.left_moving = left
         theta3 = 0
-        if phi != None:
+        if phi is not None:
             self.phi = phi
-        if delta == None:
+        if delta is None:
             delta = 0
         if  right:
@@ -361,5 +360,5 @@
             self.theta = mline.theta + self.phi
 
-        if mline != None:
+        if mline is not None:
             if delta != 0:
                 self.theta2 = mline + delta
@@ -509,5 +508,5 @@
         """
 
-        if theta != None:
+        if theta is not None:
             self.theta = theta
         x1 = self.radius * numpy.cos(self.theta)
